发布时间 :2005-03-29 00:00:00
修订时间 :2016-10-17 23:15:54

[原文]Directory traversal vulnerability in FastStone 4in1 Browser 1.2 allows remote attackers to read arbitrary files via a (1) ... (triple dot) or (2) ..\ (dot dot backslash) in the URL.

[CNNVD]FastStone 4in1 Browser 目录遍历漏洞(CNNVD-200503-146)

        FastStone 4in1 Browser 1.2中存在目录遍历漏洞,远程攻击者可以通过URL中的(1) ...(三点)或(2) ..\(两点反斜杠)读取任意文件。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)


- OVAL (用于检测的技术细节)


- 官方数据库链接
(官方数据源) MITRE
(官方数据源) NVD
(官方数据源) CNNVD

- 其它链接及资源
(UNKNOWN)  BUGTRAQ  20050329 directory traversal in FastStone 4in1 Browser 1.2
(VENDOR_ADVISORY)  XF  faststone-dotdot-directory-traversal(19900)

- 漏洞信息

FastStone 4in1 Browser 目录遍历漏洞
中危 路径遍历
2005-03-29 00:00:00 2005-10-20 00:00:00
        FastStone 4in1 Browser 1.2中存在目录遍历漏洞,远程攻击者可以通过URL中的(1) ...(三点)或(2) ..\(两点反斜杠)读取任意文件。

- 公告与补丁


- 漏洞信息

FastStone 4in1 Browser Web Server Traversal Arbitrary File Access
Remote / Network Access Input Manipulation
Loss of Confidentiality
Exploit Public

- 漏洞描述

FastStone 4in1 Browser contains a flaw that allows a remote attacker to access arbitrary files outside of the web path. The issue is due to the built-in web server not properly sanitizing user input, specifically traversal style attacks (../../) supplied via URI.

- 时间线

2005-03-29 Unknow
2005-03-29 Unknow

- 解决方案

Upgrade to version 1.3 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

- 漏洞信息

FastStone 4in1 Browser Web Server Remote Directory Traversal Vulnerability
Input Validation Error 12937
Yes No
2005-03-29 12:00:00 2009-07-12 11:56:00
Discovery of this vulnerability is credited to "Donato Ferrante" <>.

- 受影响的程序版本

FastStone 4in1 Browser 1.2
FastStone 4in1 Browser 1.3

- 不受影响的程序版本

FastStone 4in1 Browser 1.3

- 漏洞讨论

A vulnerability has been identified in the handling of certain types of requests by the 4in1 Browser Web server. Because of this, it is possible for an attacker to gain access to potentially sensitive system files.

This issue could be exploited to gain read access to files on a host using the vulnerable software. Read privileges granted to these files would be restricted by the permissions of the web server process.

This vulnerability is reported to affect FastStone 4in1 Browser version 1.2, previous versions might also be affected.

- 漏洞利用

No exploit is required, the following examples are available:\..\..\..\..\..\..\..\windows/system.ini

- 解决方案

It is reported that this issue is addressed in FastStone 4in1 Browser version 1.3. This is not confirmed.

Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: <>.

- 相关参考